// emacs: this is -*- c++ -*-
//
//   @file    fploughshare.h        
//                    
//
//   $Id: fploughshare.h, v0.0   Thu 19 Jul 2018 20:11:47 CEST sutt $
//
//   Copyright (C) 2018 M Sutton (sutt@cern.ch)    


#ifndef  FPLOUGHSHARE_H
#define  FPLOUGHSHARE_H

/// fetch the grids for a given dataset (download if necessary)
extern "C" int fetch_( char* s, int _len );

/// return number of grids in the dataset
extern "C" int datsetsize_( char* s, int _len );

/// get the full path to the dataset
extern "C"  void getdatasetpath_( const char* datasetin, char* gridpath, int _dlen, int _glen);

/// get the full path to a specific grid within the dataset
extern "C"  void getgridpath_( const char* datasetin, int& igrid,  char* gridpath, int _dlen, int _glen);

#endif  // FPLOUGHSHARE_H 










